NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.IsoclineCurveBuilder Class Reference

Represents a Features.IsoclineCurve builder More...

Inheritance diagram for NXOpen.Features.IsoclineCurveBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  CurveTypes { Single, Multiple }
 The option indicating number of curves to be created More...
 

Public Member Functions

unsafe void CreateIsocline ()
 Creates isocline curves More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe bool CanOptimizeCurve [get, set]
 Returns or sets the Optimize Curve More...
 
unsafe
NXOpen.GeometricUtilities.CurveFitData 
CurveFitData [get]
 Returns the curve fitting parameters More...
 
unsafe double DistanceThreshold [get, set]
 Returns or sets the distance threshold More...
 
unsafe NXOpen.Expression EndAngle [get]
 Returns the end angle More...
 
unsafe NXOpen.ScCollector Face [get]
 Returns the select face More...
 
unsafe NXOpen.Expression IntervalAngle [get]
 Returns the interval angle More...
 
unsafe bool IsAssociative [get, set]
 Returns or sets the associative More...
 
unsafe NXOpen.Expression IsoclineAngle [get]
 Returns the isocline angle More...
 
unsafe
NXOpen.Features.IsoclineCurveBuilder.CurveTypes 
IsoclineTypes [get, set]
 Returns or sets the isocline types More...
 
unsafe NXOpen.Direction ReferenceDirection [get, set]
 Returns or sets the reference direction More...
 
unsafe NXOpen.Expression StartAngle [get]
 Returns the start angle More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a Features.IsoclineCurve builder

To create a new instance of this class, use NXOpen.Features.FreeformCurveCollection.CreateIsoclineCurveBuilder

Default values.

Property Value

CurveFitData.CurveJoinMethod

No

CurveFitData.Degree

7

CurveFitData.FitMethod

DegreeAndSegments

CurveFitData.IsAdvancedFit

0

CurveFitData.IsAlignShape

0

CurveFitData.MaximumDegree

7

CurveFitData.MaximumSegments

1

CurveFitData.MinimumDegree

5

CurveFitData.Segments

1

DistanceThreshold

0.25 (millimeters part), 0.01 (inches part)

EndAngle.Value

90

IntervalAngle.Value

10

StartAngle.Value

-90

Created in NX11.0.0

Member Enumeration Documentation

The option indicating number of curves to be created

Enumerator
Single 
Multiple 

Member Function Documentation

unsafe void NXOpen.Features.IsoclineCurveBuilder.CreateIsocline ( )
inline

Creates isocline curves

Created in NX11.0.0

License requirements: None.

Property Documentation

unsafe bool NXOpen.Features.IsoclineCurveBuilder.CanOptimizeCurve
getset

Returns or sets the Optimize Curve

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.GeometricUtilities.CurveFitData NXOpen.Features.IsoclineCurveBuilder.CurveFitData
get

Returns the curve fitting parameters

Created in NX11.0.0

License requirements: None.

unsafe double NXOpen.Features.IsoclineCurveBuilder.DistanceThreshold
getset

Returns or sets the distance threshold

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Expression NXOpen.Features.IsoclineCurveBuilder.EndAngle
get

Returns the end angle

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Features.IsoclineCurveBuilder.Face
get

Returns the select face

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.IsoclineCurveBuilder.IntervalAngle
get

Returns the interval angle

Created in NX11.0.0

License requirements: None.

unsafe bool NXOpen.Features.IsoclineCurveBuilder.IsAssociative
getset

Returns or sets the associative

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Expression NXOpen.Features.IsoclineCurveBuilder.IsoclineAngle
get

Returns the isocline angle

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Features.IsoclineCurveBuilder.CurveTypes NXOpen.Features.IsoclineCurveBuilder.IsoclineTypes
getset

Returns or sets the isocline types

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Direction NXOpen.Features.IsoclineCurveBuilder.ReferenceDirection
getset

Returns or sets the reference direction

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Expression NXOpen.Features.IsoclineCurveBuilder.StartAngle
get

Returns the start angle

Created in NX11.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.